package com.ruoyi.warehouseBusiness.mapper;


import com.ruoyi.warehouseBusiness.domain.TWarehouseAgreement;

import java.util.List;
import java.util.Map;

/**
 * 仓储费Mapper接口
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public interface TWarehouseAgreementMapper {
    /**
     * 查询仓储费
     *
     * @param fId 仓储费ID
     * @return 仓储费
     */
    public TWarehouseAgreement selectTWarehouseAgreementById(Long fId);

    /**
     * 查询仓储费列表
     *
     * @param tWarehouseAgreement 仓储费
     * @return 仓储费集合
     */
    public List<Map<String, Object>> selectTWarehouseAgreementList1(TWarehouseAgreement tWarehouseAgreement);
    /**
     * 查询仓储费列表
     *
     * @param tWarehouseAgreement 仓储费
     * @return 仓储费集合
     */
    public List<TWarehouseAgreement> selectTWarehouseAgreementList(TWarehouseAgreement tWarehouseAgreement);

    /**
     * 新增仓储费
     *
     * @param tWarehouseAgreement 仓储费
     * @return 结果
     */
    public int insertTWarehouseAgreement(TWarehouseAgreement tWarehouseAgreement);

    /**
     * 修改仓储费
     *
     * @param tWarehouseAgreement 仓储费
     * @return 结果
     */
    public int updateTWarehouseAgreement(TWarehouseAgreement tWarehouseAgreement);

    /**
     * 删除仓储费
     *
     * @param fId 仓储费ID
     * @return 结果
     */
    public int deleteTWarehouseAgreementById(Long fId);

    /**
     * 批量删除仓储费
     *
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTWarehouseAgreementByIds(Long[] fIds);

    List<TWarehouseAgreement> selectTWarehouseAgreementListOrderyByBeginDate(TWarehouseAgreement tWarehouseAgreement);
}
